# Interface MsaRowTitleInterface

#### Hierarchy

- RcsbFvRowTitleInterface
  - MsaRowTitleInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:20

#####
Index

### Properties

alignmentContext
stateManager
targetAlignment
titleClick

## Properties

### alignmentContext

alignmentContext: AlignmentRequestContextType

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:21

### stateManager

stateManager: RcsbFvStateInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:23

### targetAlignment

targetAlignment: TargetAlignment

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:22

### titleClick

titleClick: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:24

Generated using TypeDoc